| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::command_data_option Struct Reference

Values in the command interaction. These are the values specified by the user when actually issuing the command on a channel or in DM. More...

`#include <appcommand.h>`

Collaboration diagram for dpp::command_data_option:
[legend]

## Public Member Functions

bool | empty ()
| Check if the value variant holds std::monostate and options vector is empty (i.e. the option wasn't supplied).
template<typename T>
T & | get_value (size_t index)
| Get an option value by index.

## Public Attributes

bool | focused
| Optional: true if this option is the currently focused option for autocomplete.
std::string | name
| The name of the parameter.
std::vector< command_data_option > | options
| Optional: present if this option is a group or subcommand.
command_option_type | type
| The type of option (value of ApplicationCommandOptionType).
command_value | value
| Optional: the value of the pair.

## Detailed Description

Values in the command interaction. These are the values specified by the user when actually issuing the command on a channel or in DM.

## Member Function Documentation

## ◆ empty()

bool dpp::command_data_option::empty | ( |  | ) |

inline

Check if the value variant holds std::monostate and options vector is empty (i.e. the option wasn't supplied).

Returns
  bool true, if value variant holds std::monostate and options vector is empty

## ◆ get_value()

template<typename T>

T & dpp::command_data_option::get_value | ( | size_t | index | ) |

inline

Get an option value by index.

Template Parameters

  T | Type to get from the parameter

Parameters

  index | index of the option

Returns
  T returned type

## Member Data Documentation

## ◆ focused

bool dpp::command_data_option::focused

Optional: true if this option is the currently focused option for autocomplete.

## ◆ name

std::string dpp::command_data_option::name

The name of the parameter.

## ◆ options

std::vector<command_data_option> dpp::command_data_option::options

Optional: present if this option is a group or subcommand.

## ◆ type

command_option_type dpp::command_data_option::type

The type of option (value of ApplicationCommandOptionType).

## ◆ value

command_value dpp::command_data_option::value

Optional: the value of the pair.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0